Upload a prepared document image
curl --request POST \
--url https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId} \
--header 'Content-Type: image/jpeg' \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>' \
--data '<string>'const options = {
method: 'POST',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'image/jpeg'},
body: '<string>'
};
fetch('https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId}"
payload = "<string>"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>",
"Content-Type": "image/jpeg"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId}"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
req.Header.Add("Content-Type", "image/jpeg")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'image/jpeg'},
body: '<string>'
};
fetch('https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"caseId": "<string>",
"uploadId": "<string>",
"field": "<string>",
"side": "<string>",
"status": "UPLOADED",
"sizeBytes": 123
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Customer Onboarding
Upload a prepared document image
Send the raw image bytes as the request body (no multipart, no base64) with Content-Type equal to the type declared at prepare time. JPEG or PNG, max 5 MB; file signature is verified. Stored encrypted and deleted once submitted.
POST
/
v1
/
onboarding
/
cases
/
{caseId}
/
uploads
/
{uploadId}
Upload a prepared document image
curl --request POST \
--url https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId} \
--header 'Content-Type: image/jpeg' \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>' \
--data '<string>'const options = {
method: 'POST',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'image/jpeg'},
body: '<string>'
};
fetch('https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId}"
payload = "<string>"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>",
"Content-Type": "image/jpeg"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId}"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
req.Header.Add("Content-Type", "image/jpeg")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'image/jpeg'},
body: '<string>'
};
fetch('https://api.xentfi.com/v1/onboarding/cases/{caseId}/uploads/{uploadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"caseId": "<string>",
"uploadId": "<string>",
"field": "<string>",
"side": "<string>",
"status": "UPLOADED",
"sizeBytes": 123
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}
